<template>
  <div class="bg-white rounded-lg shadow-sm p-6 mb-6 border border-gray-100">
    <div class="flex items-center justify-between mb-4">
      <h3 class="text-lg font-medium">AI Assistant Classification Agent</h3>
      <div class="flex items-center">
        <span class="mr-2 text-sm text-gray-600">Enable</span>
        <label class="relative inline-flex items-center cursor-pointer">
          <input 
            type="checkbox" 
            :checked="classificationEnabled" 
            class="sr-only peer" 
            @change="$emit('update:classificationEnabled', $event.target.checked); $emit('saveClassificationSettings')"
          >
          <div class="w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-blue-300 rounded-full peer peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-blue-600"></div>
        </label>
      </div>
    </div>
    
    <!-- Classification settings button -->
    <div v-if="classificationEnabled" class="mt-4">
      <button @click="$emit('openClassificationModal')" class="px-4 py-2 bg-blue-600 text-white rounded-md hover:bg-blue-700">
        Configure Classification Agent
      </button>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    classificationEnabled: {
      type: Boolean,
      required: true
    }
  },
  emits: ['update:classificationEnabled', 'saveClassificationSettings', 'openClassificationModal']
};
</script>